::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: 
::   ruJFritzSendToSamsungTV-Anruftest.bat
::
::   Version 1.0.4.0, 23.06.2011
::
::   Copyright by Rainer Ullrich, rainer@rainerullrich.de
::
::   -- Funktion --
::   Simuliert den Aufruf des JFritz-CallMonitors und ruft ruJFritzSendToSamsungTV.bat mit
::   Pseudo-Daten auf.
::
::   -- Parameter --
::   keine
::
::   -- Hinweis --
::   Diese ruJFritzSendToSamsungTV-Anruftest.bat MUSS im gleichen Verzeichnis wie die 
::   ruJFritzSendToSamsungTV.bat liegen!
::
::   JFritz-Parameter
::   1 bis 7, die von normalerweise von JFritz bergeben werden
::   "%Called" "%Number" "%Firstname" "%Surname" "%CallType" "%Name" "%Company"
::
@echo off
cls

:: ======================= hier Testdaten konfigurieren - Beginn =======================

:: - TestDaten - 
:: Called, also die MSN, die angerufen wird
set called=12345678
:: Number, die Nummer, die anruft
set number=017122222222
:: Firstname, also Vornamen
set firstname=Roland
:: Surname, also Nachnamen
set surname=Kaiser
:: CallType, In oder Out, also eingehender oder ausgehender Anruf
set calltype=In
:: Company, also Firma
set company=Schnulzensong AG
:: Name (Vorname, Nachname und Company in einer Variablen)
set name=%firstname% %surname% (%company%)

:: ======================= hier Testdaten konfigurieren - Ende  =======================


:: Programm/Batch
set Batch=.\ruJFritzSendToSamsungTV.bat


:: Anrufsimulation
echo.
echo Anrufsimulation starten...
call %Batch% "%called%" "%number%" "%firstname%" "%surname%" "%calltype%" "%name%" "%company%" 
echo fertig
echo.

goto EndeHier

:: 5 Sekunden Pause
echo.
echo 5 Sekunden Pause
ping -n 5 127.0.0.1 >nul 2>&1


:EndeHier
pause